MagicMirror² v2.8.0 is available! For more information about this release, check out this topic.

MMM-DarkSkyForecast - Yet ANOTHER weather module



  • Does it handle midnight properly in 12 hour mode? So darned tired of the 0am stuff the other DarkSky one has. 😉


  • Project Sponsor

    @j-e-f-f said in MMM-DarkSkyForecast - Yet ANOTHER weather module:

    I also fixed up how the header is formatted. I’m now using an HTML5 header element and it has two classes: module-header so that it is formatted the same as all of the other module headers, and forecast-header if you want to target it specifically with CSS.

    Thanks for accepting my pull request and your improvements. They help me learn how this all works.

    I have some trouble with the animated current conditions icons. Sometimes they do not show up, although configured - and reappear on a restart. Sometimes they are shown only for one instance of MMM-DarkSkyForecast. Do you have any idea, what might be the cause?

    A second question: I have limited the max-width of MMM-DarkSkyForecast to 250px as I would like to have my mirror with cascading module widths with in creasing width the lower a module is. This works fine on the left side. If I send MMM-DarkSkyForecast to the right side and the module below is wider, it is aligned on the left side of the right region. Do you have any advice how to right align all modules in the right region?



  • @j-e-f-f ,

    I am also stuck at “Loading” actually it says “Bezig met laden…” which is Dutch for “Loading”.

    I ran the “git clone…”, switched to the “MMM-DarkSkyForecast” directory, and ran the NPM Install.
    I do get this warning: “npm WARN mmm-darkskyforecast@1.0.0 No repository field.”, but I do not know how to act upon it.

    The module is making calls to DarkSky, I see that in the Api usage.

    The logs show no error.
    This is the config:

    		{
      			module: "MMM-DarkSkyForecast",
      			header: "Weersverwachting",
      			position: "top_right",
    //  			classes: "default everyone",
      			disabled: false,
      			config: {
        				apikey: "XXXXXXXXXXXXX",
        				latitude: "51.5096192",
        				longitude: "5.6364183",      
        				iconset: "1c",
    //				maxHourliesToShow: 4,
    //				maxDailiesToShow: 4,
    //				useAnimatedIcons: true,
        				concise: false,
    //				label_timeFormat: "k[h]",
        				forecastLayout: "table"
    			}
    		},
    
    

    I am not sure were I went wrong. Can you provide help?

    Kind Regards,

    Hein-Jan



  • Same here with “Loading” and nothing happens.

    Seems to be a problem with lon/lat.

    If i provide the example lon/lat it works.



  • looks awesome but doesn’t work with the coordinates of Berlin. It says “loading” but nothing happens.

    {
      module: "MMM-DarkSkyForecast",
      header: "Weather",
      position: "top_right",
      classes: "default everyone",
      disabled: false,
      config: {
        apikey: "db7derpderpderp214eae3b0f6e",
        latitude: "52.520008",
        longitude: "13.404954",      
        iconset: "2m",
        concise: false,
        forecastLayout: "table",
        language: "de"
      }
    },
    


  • I posted this on the GitHub page;

    When I use the default Long and Lat, the module loads. London works as does Vancouver and New York however when trying Hawaii, Sydney, Paris, Cape Town, Moscow, Melbourne, and Wellington, the module will not load. Using https://www.latlong.net/ for Long and Lat.

    When I use the same Long and Lat in this module that works with the Forecast.io module, the module won’t load. At first, I thought it was southern hemisphere’s (given the Lat is a ‘negative’ number) but that doesn’t appear to be the cause.


  • Project Sponsor

    @baschke, @karsten13, @Hein-Jan

    @j-e-f-f has updated the module on GitHub. Go to the module folder and update it via git pull.

    If the error still persists, leave out line

    concise: false,

    from the config file. That solved it for me in the prior version.



  • I had the same loading issue after just installing it…but leaving out the concise line worked for me too


  • Project Sponsor

    Beautiful module!
    A bit too beautiful in my opinion since I’m currently putting a lot of work into MMM-forecast-io 😃


  • Module Developer

    MMM-WeatherBackground supports MMM-DarkSkyForecast now. (Just set source as "MMM-DarkSkyForecast")
    Thanks @j-e-f-f again.